jQuery 与IE浏览器兼容性的思考

兼容性:对,说你呢!IE!

当我们在说浏览器兼容性的时候,其实我们大多数时候在说IE浏览器的兼容性。

对,说你呢!IE!

现在jQuery的最新版已经是3.3.1, 根据jQuery的官方说明。

最新版的jQuery支持IE9+, 如果你想支持IE6-8,那么你最好去用jQuery 1.12。

Current Active Support Desktop Internet Explorer: 9+
If you need to support older browsers like Internet Explorer 6-8, Opera 12.1x or Safari 5.1+, use jQuery 1.12.
来自 Browser Support

jQuery的亮点

我只想安安静静的做东西,不想和各种浏览器diss或者battle。

所以老司机总是选择一个合适的轮子,